CLASSFILES=\
	java/tools/java/RuntimeConstants\
	java/tools/javac/Main\
	java/tools/javac/ResourceStrings\
	java/tools/javac/BatchEnvironment\
	java/tools/javac/ErrorMessage\
	java/tools/javac/BatchParser\
	java/tools/javac/SourceClass\
	java/tools/javac/SourceField\
	java/tools/javac/CompilerField\
	java/tools/tree/LocalField\
	java/tools/tree/Node\
	java/tools/tree/Expression\
	java/tools/tree/Statement\
	java/tools/tree/TypeExpression\
	java/tools/tree/IdentifierExpression\
	java/tools/tree/UnaryExpression\
	java/tools/tree/FieldExpression\
	java/tools/tree/NaryExpression\
	java/tools/tree/MethodExpression\
	java/tools/tree/InlineMethodExpression\
	java/tools/tree/ConstantExpression\
	java/tools/tree/IntegerExpression\
	java/tools/tree/CharExpression\
	java/tools/tree/IntExpression\
	java/tools/tree/LongExpression\
	java/tools/tree/FloatExpression\
	java/tools/tree/DoubleExpression\
	java/tools/tree/StringExpression\
	java/tools/tree/BooleanExpression\
	java/tools/tree/NullExpression\
	java/tools/tree/ThisExpression\
	java/tools/tree/SuperExpression\
	java/tools/tree/NotExpression\
	java/tools/tree/PositiveExpression\
	java/tools/tree/NegativeExpression\
	java/tools/tree/BitNotExpression\
	java/tools/tree/IncDecExpression\
	java/tools/tree/PreIncExpression\
	java/tools/tree/PreDecExpression\
	java/tools/tree/BinaryExpression\
	java/tools/tree/CastExpression\
	java/tools/tree/ExprExpression\
	java/tools/tree/ArrayExpression\
	java/tools/tree/NewArrayExpression\
	java/tools/tree/NewInstanceExpression\
	java/tools/tree/InlineNewInstanceExpression\
	java/tools/tree/NewFromNameExpression\
	java/tools/tree/AsmHackExpression\
	java/tools/tree/ArrayAccessExpression\
	java/tools/tree/PostIncExpression\
	java/tools/tree/PostDecExpression\
	java/tools/tree/CommaExpression\
	java/tools/tree/InstanceOfExpression\
	java/tools/tree/BinaryArithmeticExpression\
	java/tools/tree/AddExpression\
	java/tools/tree/SubtractExpression\
	java/tools/tree/MultiplyExpression\
	java/tools/tree/DivideExpression\
	java/tools/tree/ModulusExpression\
	java/tools/tree/BinaryShiftExpression\
	java/tools/tree/ShiftLeftExpression\
	java/tools/tree/ShiftRightExpression\
	java/tools/tree/UnsignedShiftRightExpression\
	java/tools/tree/BinaryCompareExpression\
	java/tools/tree/LessExpression\
	java/tools/tree/LessOrEqualExpression\
	java/tools/tree/GreaterExpression\
	java/tools/tree/GreaterOrEqualExpression\
	java/tools/tree/BinaryEqualityExpression\
	java/tools/tree/EqualExpression\
	java/tools/tree/NotEqualExpression\
	java/tools/tree/BinaryBitExpression\
	java/tools/tree/BitAndExpression\
	java/tools/tree/BitXorExpression\
	java/tools/tree/BitOrExpression\
	java/tools/tree/BinaryLogicalExpression\
	java/tools/tree/AndExpression\
	java/tools/tree/OrExpression\
	java/tools/tree/BinaryAssignExpression\
	java/tools/tree/IfStatement\
	java/tools/tree/AssignExpression\
	java/tools/tree/AssignOpExpression\
	java/tools/tree/AssignAddExpression\
	java/tools/tree/AssignSubtractExpression\
	java/tools/tree/AssignMultiplyExpression\
	java/tools/tree/AssignDivideExpression\
	java/tools/tree/AssignModulusExpression\
	java/tools/tree/AssignBitAndExpression\
	java/tools/tree/AssignBitOrExpression\
	java/tools/tree/AssignBitXorExpression\
	java/tools/tree/AssignShiftLeftExpression\
	java/tools/tree/AssignShiftRightExpression\
	java/tools/tree/AssignUnsignedShiftRightExpression\
	java/tools/tree/ConditionalExpression\
	java/tools/tree/ConditionVars\
	java/tools/tree/CompoundStatement\
	java/tools/tree/DeclarationStatement\
	java/tools/tree/ExpressionStatement\
	java/tools/tree/ForStatement\
	java/tools/tree/WhileStatement\
	java/tools/tree/DoStatement\
	java/tools/tree/BreakStatement\
	java/tools/tree/ContinueStatement\
	java/tools/tree/ReturnStatement\
	java/tools/tree/InlineReturnStatement\
	java/tools/tree/CaseStatement\
	java/tools/tree/SwitchStatement\
	java/tools/tree/CatchStatement\
	java/tools/tree/TryStatement\
	java/tools/tree/FinallyStatement\
	java/tools/tree/ThrowStatement\
	java/tools/tree/SynchronizeStatement\
	java/tools/tree/ConvertExpression\
	java/tools/tree/LengthExpression\
	java/tools/tree/ByteExpression\
	java/tools/tree/ShortExpression\
	java/tools/tree/Context\
	java/tools/tree/CheckContext\
	java/tools/tree/CodeContext\
	java/tools/tree/VarDeclarationStatement\
	java/tools/asm/Assembler\
	java/tools/asm/Instruction\
	java/tools/asm/Label\
	java/tools/asm/SwitchData\
	java/tools/asm/ArrayData\
	java/tools/asm/TryData\
	java/tools/asm/CatchData\
	java/tools/asm/ConstantPool\
	java/tools/asm/ConstantPoolData\
	java/tools/asm/StringConstantData\
	java/tools/asm/ClassConstantData\
	java/tools/asm/StringExpressionConstantData\
	java/tools/asm/FieldConstantData\
	java/tools/asm/NameAndTypeData\
	java/tools/asm/NameAndTypeConstantData\
	java/tools/asm/NumberConstantData\
	java/tools/java/Environment\
	java/tools/java/Scanner\
	java/tools/java/Parser\
	java/tools/java/Imports\
	java/tools/java/MethodMatch\
	java/tools/java/ClassDefinition\
	java/tools/java/FieldDefinition\
	java/tools/java/ClassDeclaration\
	java/tools/java/Identifier\
	java/tools/java/ClassPath\
	java/tools/java/ClassNotFound\
	java/tools/java/Constants\
	java/tools/java/SyntaxError\
	java/tools/java/Type\
	java/tools/java/MethodType\
	java/tools/java/ArrayType\
	java/tools/java/ClassType\
	java/tools/java/AmbiguousClass\
	java/tools/java/InternalError\
	java/tools/java/AmbiguousField\
	java/tools/java/BinaryClass\
	java/tools/java/BinaryConstantPool\
	java/tools/java/BinaryAttribute\
	java/tools/java/BinaryCode\
	java/tools/java/BinaryExceptionHandler\
	java/tools/java/BinaryField
