# @(#)program.mk	1.6 95/01/31

all : debug optimized

include $(TOPDIR)/build/solaris/makefiles/make.rules

DEBUG = $(PROGRAM)_g
OPTIMIZED = $(PROGRAM)

debug : $(BIN)/$(DEBUG)

optimized : $(BIN)/$(OPTIMIZED)

FILES.o  = $${FILES.c:%.c=obj$${VARIANT}/%.o} 
FILES.o += $${FILES.s:%.s=obj$${VARIANT}/%.o}

XFILES.o  = ${FILES.c:%.c=obj${VARIANT}/%.o} 
XFILES.o += ${FILES.s:%.s=obj${VARIANT}/%.o}

LDLIBS = -lm -ldl

$(OPTIMIZED) : $${CLASSHEADERS} ${FILES.o} ${COREJAVALIBS}
	       ${CC} ${LDFLAGS} ${XFILES.o} ${LDLIBS} -o $@

$(DEBUG)     : $${CLASSHEADERS} ${FILES.o} ${COREJAVALIBS} 
	       ${CC} ${LDFLAGS} ${XFILES.o} ${LDLIBS} -o $@

DEFINES += -DDBINFO

$(DEBUG) := DEFINES += -DLOGGING
$(DEBUG) := VARIANT = _g
$(DEBUG) := LDFLAGS += -g

$(BIN)/$(OPTIMIZED) $(BIN)/$(DEBUG) : $$(@D) $$(@F)
	       @-(ln -s `pwd`/$(@F) $(BIN)/ \
		  && echo "link to " $(BIN)/$(@F) "created.") 2>/dev/null

clobber:: FORCE
	rm -f $(OPTIMIZED) $(DEBUG) $(BIN)/$(OPTIMIZED) $(BIN)/$(DEBUG) 
	
