/*
 * @(#)import_md.c	1.7 95/01/31  
 *
 * Copyright (c) 1994 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/*
 * Machine Dependent class importing code
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "oobj.h"
#include "path_md.h"
#include "installpath.h"
#include "interpreter.h"

int
import_md(char *name, char *hint)
{
    char **cpa;
    if (name[0] == DIR_SEPARATOR) {
        return (int) LoadFile(name, ".", hint);
    }
    for (cpa = CLASSPATH(); *cpa; cpa++) {
        char path[200];
        sprintf(path, "%s%c%s." JAVAOBJEXT, *cpa, DIR_SEPARATOR, name);
        if (LoadFile(path, *cpa, hint)) {
            return 1;
	}
    }
    return(0);
}

