/*
! @(#)machgc.s 1.5 95/05/01 Copyright 1992 Sun Microsystems

!	The one piece of GC that can't be in C

!	James Gosling.
*/

#include <sys/trap.h>

	.global	gc_locked
	.global gc0_locked

/* Flush register windows, then enter the real garbage collector. 
 * Should only be executed when holding the heap lock.
 */

gc_locked:
	ta	ST_FLUSH_WINDOWS
    	mov 	%o7, %g1	! save value that "call" bashes
    	call	gc0_locked
    	mov 	%g1, %o7

