/*
 * @(#)globals.c	1.8 95/01/31 John Seamons
 *
 * Copyright (c) 1994 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/*
 *      Some development environments don't support common storage
 *      (i.e. data in multiply included .h files not marked extern).
 *      Here is where we declare everything in .h files marked extern.
 */


#include <oobj.h>
#include <tree.h>
#include <interpreter.h>

int   SkipSourceChecks;
char *progname;
ClassClass **binclasses;
long nbinclasses, sizebinclasses;
int verbose;
int verbosegc;
int verifyclasses;
int noasyncgc;

int ImportAcceptable;
int InhibitExecute;
unsigned char **mainstktop;

#include <decode.h>
int     PrintCode;		/* used by javap */
int     PrintAsC;		/* used by javap */
int     PrintPrivate;



