/*
 * @(#)io_md.h	1.8 95/02/06  
 *
 * Copyright (c) 1994 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/*
 * Solaris-dependent I/O
 */

#ifndef	_SOLARIS_IO_MD_H_
#define	_SOLARIS_IO_MD_H_

#include <sys/param.h>

#define sysRead(fd,buf,n)		read(fd,buf,n)
#define sysWrite(fd,buf,n)		write(fd,buf,n)
#define sysClose(fd)			close(fd)
#define sysAccess(path,mode)		access(path,mode)
#define sysStat(path,buf)		stat(path,buf)

#endif	/* !_SOLARIS_IO_MD_H_ */
