/*
 * @(#)iomgr.h	1.4 95/01/31  
 *
 * Copyright (c) 1994 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

/*
 * Very simple IO manager interface.  This needs to get fixed in
 * a big way.
 */

#ifndef _GREEN_IOMGR_H_
#define _GREEN_IOMGR_H_

int nonblock_io(int,int);
int write_nonblock(int);

/*
 *  nonblock_io takea a boolean value as its second argument.  When that
 *  boolean is true, the filedescriptor operates in non-blocking mode.
 */
#define IO_DONTBLOCK    1
#define IO_BLOCK        0

#endif /* !_GREEN_IOMGR_H_ */
